Skip to main content

Atrium API

List Member Transactions

Use this endpoint to get all transactions from all accounts associated with a specific member.

GET
/users/{user_guid}/members/{member_guid}/transactions

Query Parameters

The from_date and to_date parameters can optionally be appended to the request if transactions in a specific date range are required.

FieldRequiredType

from_date

Return transactions occurring within a date range starting on this day. If not set, this defaults to 90 days prior to the day of the request. Must be in ISO 8601 format without a time component.

Optional
String

to_date

Return transactions occurring in a date range ending on this day. If not set, this defaults to 5 days forward from the day of the request so as to capture pending transactions. Must be in ISO 8601 format without a time component.

Optional
String

Request sample

Language:sh

_10
curl -i 'https://vestibule.mx.com/users/{user_guid}/members/{member_guid}/transactions' \
_10
-H 'Accept: application/vnd.mx.atrium.v1+json' \
_10
-H 'MX-API-Key: {mx_api_key}' \
_10
-H 'MX-Client-ID: {mx_client_id}'

Response sample

200
Language:json

_43
{
_43
"transactions": [
_43
{
_43
"account_guid": "ACT-06d7f44b-caae-0f6e-1384-01f52e75dcb1",
_43
"amount": 61.11,
_43
"category": "Groceries",
_43
"check_number": 15234,
_43
"check_number_string": "00015234",
_43
"created_at": "2016-10-06T09:43:42+00:00",
_43
"currency_code": "USD",
_43
"date": "2013-09-23",
_43
"description": "Whole Foods",
_43
"guid": "TRN-265abee9-889b-af6a-c69b-25157db2bdd9",
_43
"is_bill_pay": false,
_43
"is_direct_deposit": false,
_43
"is_expense": true,
_43
"is_fee": false,
_43
"is_income": false,
_43
"is_international": false,
_43
"is_overdraft_fee": false,
_43
"is_payroll_advance": false,
_43
"latitude": -43.2075,
_43
"longitude": 139.691706,
_43
"member_guid": "MBR-7c6f361b-e582-15b6-60c0-358f12466b4b",
_43
"memo": null,
_43
"merchant_category_code": 5411,
_43
"original_description": "WHOLEFDS TSQ 102",
_43
"posted_at": "2016-10-07T06:00:00+00:00",
_43
"status": "POSTED",
_43
"top_level_category": "Food & Dining",
_43
"transacted_at": "2016-10-06T13:00:00+00:00",
_43
"type": "DEBIT",
_43
"updated_at": "2016-10-07T05:49:12+00:00",
_43
"user_guid": "USR-fa7537f3-48aa-a683-a02a-b18940482f54"
_43
}
_43
],
_43
"pagination": {
_43
"current_page": 1,
_43
"per_page": 25,
_43
"total_entries": 1,
_43
"total_pages": 1
_43
}
_43
}